Bug 243962 - [new port] devel/delve: Delve is a debugger for the Go programming language
Summary: [new port] devel/delve: Delve is a debugger for the Go programming language
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitri Goutnik
URL: https://github.com/go-delve/delve
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-07 18:23 UTC by Dmitry Wagin
Modified: 2020-02-14 12:39 UTC (History)
1 user (show)

See Also:


Attachments
delve.diff (3.74 KB, patch)
2020-02-07 18:23 UTC, Dmitry Wagin
no flags Details | Diff
delve.diff (3.81 KB, patch)
2020-02-14 09:36 UTC, Dmitry Wagin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Wagin 2020-02-07 18:23:48 UTC
Created attachment 211451 [details]
delve.diff

Delve is a debugger for the Go programming language
Comment 1 Dmitri Goutnik freebsd_committer 2020-02-13 14:06:51 UTC
Poudriere is having issues building it:

===>  Building dlv from ./cmd/dlv
go: github.com/cosiner/argv@v0.0.0-20170225145430-13bacc38a0a5: Get https://proxy.golang.org/github.com/cosiner/argv/@v/v0.0.0-20170225145430-13bacc38a0a5.mod: dial tcp: lookup proxy.golang.org on 1.0.0.1:53: write udp 127.0.0.1:44960->1.0.0.1:53: write: permission denied
*** Error code 1

Given that upstream is using modules [1], the port's Makefile should be using USES=go:modules and all required dependencies will have to be listed in GH_TUPLE [2]

While here, could you please also update to the latest release (1.4.0)?

[1] https://github.com/go-delve/delve/blob/v1.3.2/go.mod
[2] https://www.freebsd.org/doc/en/books/porters-handbook/book.html#using-go
Comment 2 Dmitri Goutnik freebsd_committer 2020-02-13 14:25:36 UTC
A few more things:

(1) I missed that upstream already vendors dependencies, so just USES=go:modules should be enough.

(2) ONLY_FOR_ARCHS=amd64 is probably needed because delve doesn't seem to build on either i386 or aarch64 (for different reasons)

(3) Needs CONFLICTS_INSTALL=dlv (both install bin/dlv)
Comment 3 Dmitry Wagin 2020-02-14 09:36:50 UTC
Created attachment 211638 [details]
delve.diff

Done
Comment 4 commit-hook freebsd_committer 2020-02-14 12:38:12 UTC
A commit references this bug:

Author: dmgk
Date: Fri Feb 14 12:38:10 UTC 2020
New revision: 526107
URL: https://svnweb.freebsd.org/changeset/ports/526107

Log:
  New port: devel/delve

  Delve is a debugger for the Go programming language. The goal of the project is
  to provide a simple, full featured debugging tool for Go. Delve should be easy
  to invoke and easy to use. Chances are if you're using a debugger, things
  aren't going your way. With that in mind, Delve should stay out of your way as
  much as possible.

  WWW: https://github.com/go-delve/delve

  PR:		243962
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>

Changes:
  head/devel/Makefile
  head/devel/delve/
  head/devel/delve/Makefile
  head/devel/delve/distinfo
  head/devel/delve/pkg-descr
  head/devel/delve/pkg-message
Comment 5 Dmitri Goutnik freebsd_committer 2020-02-14 12:39:26 UTC
Committed with small changes, thanks!